#include <iostream>
#include <cmath>
using namespace std;

int main()
{

    int T;cin>>T;
    int N[T];
    for(int r=0;r<T;r++){
        cin>>N[r];
    }
    for(int r=0;r<T;r++){
        long long szamtomb[N[r]]={0};
        long long szorzatok[N[r]]={0};
        long long kulomb[N[r]]={0};
        int numk=0;
        int bad=0;



        for(int a=0;a<N[r];a++){
            szamtomb[a]=a+1;
        }

        for(int i=0;i<N[r];i++){
            if (i+1<10)
                szorzatok[i]=szamtomb[i];
            else if(i+1<100)
                szorzatok[i]=szamtomb[i]%10*(szamtomb[i]/10);
            else if (i+1<pow(10,3))
                szorzatok[i]=szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100);
            else if (i+1<pow(10,4))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000));
            else if (i+1<pow(10,5))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000%10)*(szamtomb[i]/ 10000));
            else if (i+1<pow(10,6))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000%10)*(szamtomb[i]/ 10000%10)*(szamtomb[i]/100000));
            else if (i+1<pow(10,7))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000%10)*(szamtomb[i]/ 10000%10)*(szamtomb[i]/100000%10)*(szamtomb[i]/1000000);
            else if (i+1<pow(10,8))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000%10)*(szamtomb[i]/ 10000%10)*(szamtomb[i]/100000%10)*(szamtomb[i]/1000000%10)*(szamtomb[i]/10000000));
            else if (i+1<pow(10,9))
                szorzatok[i]=(szamtomb[i]%10*(szamtomb[i]/10%10)*(szamtomb[i]/100%10)*(szamtomb[i]/1000%10)*(szamtomb[i]/ 10000%10)*(szamtomb[i]/100000%10)*(szamtomb[i]/1000000%10)*(szamtomb[i]/10000000%10)*(szamtomb[i]/100000000));
        }
        for(int i=0;i<N[r];i++){
            bad=0;
            if (i==0){
                kulomb[numk]=szorzatok[i];
                numk++;
            }
            else{
                for(int j=0;j<numk;j++){
                    if (szorzatok[i]==kulomb[j]){
                        bad=1;
                    }
                }
            }
            if (bad==0&&i>0){
                kulomb[numk]=szorzatok[i];
                numk++;
            }
        }
        cout<<numk<<endl;
    }
    return 0;
}